# Interface ProtocolInitializer<P, PN>

#### Type Parameters

- #### P extends Platform

- #### PN extends ProtocolName

#### Hierarchy

- ProtocolInitializer

- Defined in core/definitions/dist/esm/protocol.d.ts:13

#####
Index

### Methods

fromRpc

## Methods

### fromRpc

- fromRpc(rpc, config): Promise<ProtocolImplementation<P, PN>>

- #### Parameters

  - ##### rpc: any

  - ##### config: ChainsConfig<"Mainnet" | "Testnet" | "Devnet", P>

  #### Returns Promise<ProtocolImplementation<P, PN>>

  - Defined in core/definitions/dist/esm/protocol.d.ts:14

Generated using TypeDoc